Technical FAQs

Ask a Question

Which Pocket PC will work with Power Suite version 1.5 or version 2.0?

The qualified (minimum) Pocket PC is the HP iPAC 2210.
The processor is an Intel 400MHz processor with Xscale technology.
The operating system is Microsoft Windows 2003 for Pocket PC.

The application is compatile with the Pocket PC 2002.
PowerSuite V1.50 is qualified on the following devices:
Hewlett Packard Jornada 525, 545, 548 & 560
Compaq IPAQ series 3800 & 3900

The list of Pocket PC`s that have been qualified for compatibility with PowerSuite II.

PowerSuite V2.0.0 was tested with IPAQ 2210, IPAQ 3970 and Jornada 565.

PowerSuite can work with other Xscale PPC processors that also use Win 2003 for Pocket PC, however we can recommend only those listed above and cannot be responsible for any other devices.


CTA-ID : 2011808
Was this helpful?
What can we do to improve the information ?